Subject: [RFC] git gui doesn't call post-checkout hook on checkout or clone

From: Jens Lehmann <[email-masked]>
Date: Sun, 22 Mar 2009 16:49:05 +0100

When checking out or cloning via git gui, the post-checkout
hook is not called. This is a bit unexpected ...

The reason is that git gui uses git read-tree with the -u
option and not git checkout and git clone. I changed git
read-tree to call the post-checkout hook when called with
-u and it seems to solve the problem. I would make a patch
for that if you want.

But is this the right way to do this? Seems like we could
surprise some users of git read-tree with this change in
behaviour.

(I hope i cc'ed the right people this time ;-)

Jens